Bug 6964 - xfs system lockout mode needs to be documented prominently
xfs system lockout mode needs to be documented prominently
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1999-11-12 19:19 EST by Joe Harrington
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-03 15:47:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 1999-11-12 19:19:04 EST
There should be a note about xfs in its package description, in the
linuxconf text describing it, its man page, and in the Reference and
Install guides.  The note should state that it is REQUIRED to run X.

Also, the GNOME display manager should check to see whether the last X
server died due to a logout or an error starting.  If the latter, it should
not try to start another one.

Finally, GNOME should report errors if an application fails to start from
the menu.  An ap that fails because it can't find any fonts just fails to

xfs is a new daemon and it is described as providing font services for
*other* hosts.  Whenever I see a new daemon, I worry about net security and
don't run it unless I have to.  Since I'm not serving fonts to anyone, I
disabled it.  But, it also provides fonts for the local X server, which
used to do this job itself.  This isn't documented!  Once I had disabled
it, no windows would start, but no errors happened, either (running GNOME).
I logged out hoping I had just tripped on a bug and hung the window
manager.  I had the GNOME login screen, rather than console login.  The X
server kept insistently trying and failing to start, and as a result I
couldn't just kill it and go to a console login.  ctrl-alt-F2 and -bs and
friends didn't help.  I had to boot single-user and fix it.

It was not at all clear at first what was causing me to have problems.  It
happened that I knew to look in /var/log/messages.  A novice user wouldn't


Comment 1 Preston Brown 2000-02-03 15:47:59 EST
XFS is better documented for 6.2.  It is not a "new" daemon per se, it has been
around for at least 10 years.  However, we are finally making use of it.  Last,
it is not required if you do not want to use it; you may edit your XF86Config
file to not use a font server but to include font paths directly as was done in
previous releases.

Note You need to log in before you can comment on or make changes to this bug.